{% extends 'base.html.twig' %}

{% block title %}
    {{ parent() }} |
    {% trans %}Edition{% endtrans %}
{% endblock %}

{% block body %}
    <ul class="nav nav-tabs" role="tablist">
        <li>
            <a href="{{ path('translation_revision', {'slug': learning.slug}) }}">{% trans %}Revision{% endtrans %}</a>
        </li>
        <li class="active">
            <a href="{{ path('translation_edition', {'slug': learning.slug}) }}">{% trans %}Edition{% endtrans %}</a>
        </li>
    </ul>
    <div class="translation translation-edition">
        <div class="add-translation">
            <h3>{% trans %}Add a new translation{% endtrans %}</h3>
            {{ form_start(form) }}
            <div class="error">
                {{ form_errors(form) }}
            </div>
            <div class="word-type">
                {{ form_label(form.wordType) }}
                {{ form_widget(form.wordType) }}
            </div>
            <div class="word1">
                {{ form_label(form.word1) }}
                {{ form_widget(form.word1) }}
            </div>
            <div class="word2">
                {{ form_label(form.word2) }}
                {{ form_widget(form.word2) }}
            </div>
            <div class="submit-button">
                {{ form_widget(form.submit) }}
                <div class="ajax-ready"></div>
                {{ form_rest(form) }}
            </div>
            {{ form_end(form) }}
        </div>
        <div class="filter-translations">
            <h3>{% trans %}Filter translations{% endtrans %}</h3>
            <form class="filter-form" method="get" action="{{ path('translation_edition', {'slug': learning.slug}) }}">
                {{ form_rest(filterForm) }}
                <div class="submit-button"><input type="submit" name="submit-filter" value="{% trans %}Filter{% endtrans %}" /></div>
            </form>
        </div>
        <h3 class="ajax-ready">
            {% trans %}Translation list{% endtrans %}
            <span></span>
        </h3>
        <div class="ajax-revision">
            {{ include('pagination.html.twig', {'routeName': 'translation_edition', 'routeParams':{'pager': pager, 'slug': learning.slug}}) }}
            <table class="table records_list">
                <thead>
                    <tr>
                        <th>{{ learning.language1 }}</th>
                        <th colspan=2>{{ learning.language2 }}</th>
                    </tr>
                </thead>
                <tbody>
                    {% for translation in pager.currentPageResults %}
                        <tr>
                            <td>
                                {% if translation.word1.article and learning.language1.requireArticles  %}<span class="is-visible">{{ translation.word1.article }}</span>{% endif %}
                                <span class="is-visible">{{ translation.word1 }}</span>
                            </td>
                            <td>
                                {% if translation.word2.article and learning.language2.requireArticles  %}<span class="is-visible">{{ translation.word2.article }}</span>{% endif %}
                                <span class="is-visible">{{ translation.word2 }}</span>
                            </td>
                            <td class="actions">
                                {{ render(controller('App\\Controller\\TranslationController:deleteFormAction', { 'id': translation.id, 'slug': learning.slug })) }}
                                <a class="confirm-delete btn btn-primary" href="{{ path('translation_edit', {'id': translation.id, 'slug': learning.slug}) }}"><i class="fa fa-edit"></i></a>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
            {{ include('pagination.html.twig', {'routeName': 'translation_edition', 'routeParams':{'pager': pager, 'slug': learning.slug}}) }}
        </div>
        <div class="ajax-ready">
            <span></span>
        </div>
        {#<div class="download">
            <a href="{{ path('translation_download_csv', {'slug': learning.slug}) }}">
                {% trans %}Download translations as CSV{% endtrans %}
                <i class="fa fa-download"></i>
            </a>
        </div>#}
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript" src="/js/common/hide-or-display-articles.js"></script>
    {# startscript edition.min.js #}
    <script type="text/javascript" src="/js/edition/confirm-delete.js"></script>
    <script type="text/javascript" src="/js/edition/ajax-edition-rows.js"></script>
    <script type="text/javascript" src="/js/edition/add-translation.js"></script>
    {# endscript #}
{% endblock %}
